Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-1178

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2012-1178
Last Modified 10 Oct 2014 12:50:03
Published 15 Mar 2012 06:55:01
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2012-1178

Summary

The msn_oim_report_to_user function in oim.c in the MSN protocol plugin in libpurple in Pidgin before 2.10.2 allows remote servers to cause a denial of service (application crash) via an OIM message that lacks UTF-8 encoding.

Vulnerable Systems

Application

  • Pidgin 2.0.0

  • Pidgin 2.0.1

  • Pidgin 2.0.2

  • Pidgin 2.1.0

  • Pidgin 2.1.1

  • Pidgin 2.10.0

  • Pidgin 2.10.1

  • Pidgin 2.2.0

  • Pidgin 2.2.1

  • Pidgin 2.2.2

  • Pidgin 2.3.0

  • Pidgin 2.3.1

  • Pidgin 2.4.0

  • Pidgin 2.4.1

  • Pidgin 2.4.2

  • Pidgin 2.4.3

  • Pidgin 2.5.0

  • Pidgin 2.5.1

  • Pidgin 2.5.2

  • Pidgin 2.5.3

  • Pidgin 2.5.4

  • Pidgin 2.5.5

  • Pidgin 2.5.6

  • Pidgin 2.5.7

  • Pidgin 2.5.8

  • Pidgin 2.5.9

  • Pidgin 2.6.0

  • Pidgin 2.6.1

  • Pidgin 2.6.2

  • Pidgin 2.6.3

  • Pidgin 2.6.4

  • Pidgin 2.6.5

  • Pidgin 2.6.6

  • Pidgin 2.7.1

  • Pidgin 2.7.10

  • Pidgin 2.7.11

  • Pidgin 2.7.2

  • Pidgin 2.7.3

  • Pidgin 2.7.4

  • Pidgin 2.7.5

  • Pidgin 2.7.6

  • Pidgin 2.7.7

  • Pidgin 2.7.8

  • Pidgin 2.7.9

  • Pidgin 2.8.0

  • Pidgin 2.9.0


References

CONFIRM - http://pidgin.im/news/security/?id=61

CONFIRM - http://developer.pidgin.im/viewmtn/revision/info/3053d6a37cc6d8774aba7607b992a4408216adcd

CONFIRM - http://developer.pidgin.im/viewmtn/revision/diff/60f8379d0a610538cf42e0dd9ab1436c8b9308cd/with/3053d6a37cc6d8774aba7607b992a4408216adcd/libpurple/protocols/msn/oim.c

CONFIRM - http://developer.pidgin.im/ticket/14884

SECUNIA - 50005

REDHAT - RHSA-2012:1102

Related Patches

Red Hat 2012:1102-01 RHSA Moderate: pidgin security update for RHEL 5 x86

Red Hat 2012:1102-01 RHSA Moderate: pidgin security update for RHEL 5 x86_64

Novell SUSE 2012:6294 finch security update for SLED 11 SP1 i586

Novell SUSE 2012:6294 finch security update for SLED 11 SP1 x86_64

Novell SUSE 2012:8131 finch security update for SLED 10 SP4 i586

Novell SUSE 2012:8131 finch security update for SLED 10 SP4 x86_64


Last Updated: 27 May 2016 10:57:28